# Retrieve client credentials

Returns a list of credentials associated with a specific client.

Endpoint: GET /v1/clients/{clientId}/credentials
Version: 1.0.0
Security: ApiKeyAuth

## Path parameters:

  - `clientId` (string, required)
    The unique identifier of the client.
    Example: "c2d1d1e3-3340-4170-980e-e9269bbbc551"

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string)
    The unique identifier of the credential.
    Example: "e981c6d8-4d49-45f2-a7ee-f956dca15500"

  - `data.client_id` (string)
    The unique identifier of the client.
    Example: "c2d1d1e3-3340-4170-980e-e9269bbbc551"

  - `data.client_secret` (string)
    The secret key for the client.
    Example: "Ui9gx7AXIpRqSkwSMQ35Ag1N5NXvm_7e4OEZESNMLQ29SbsvsXI1KKfIsGlZ70h_DfIPX2EWlysRlEKz8bXMsA"

  - `data.environment` (string)
    The environment in which the credentials are valid.
    Enum: "staging", "production"

  - `data.status` (string)
    The status of the credentials.
    Enum: "ACTIVE", "INACTIVE"

  - `data.created_at` (string)
    Timestamp when the credentials were created.
    Example: "2025-03-05T10:27:36.888241-06:00"

  - `data.updated_at` (string)
    Timestamp when the credentials were last updated.
    Example: "2025-03-05T10:27:36.888241-06:00"

  - `data.deleted_at` (null,string)
    Timestamp when the credentials were deleted, or null if still active.
    Example: "None"


